# MariCam

A C# application to render TOF data as a heat map.


## Parts list
- [Raspberry Pi Model 4](https://www.raspberrypi.com/products/raspberry-pi-4-model-b/)
- [ArduCam TOF Sensor](https://www.arducam.com/time-of-flight-camera-raspberry-pi/)

## Dependencies
- [Raspberry Pi OS 32bit](https://www.raspberrypi.com/software/operating-systems/#raspberry-pi-os-32-bit)
- [ArduCam TOF SDK](https://github.com/ArduCAM/Arducam_tof_camera)
- [Mono C#](https://www.mono-project.com/download/stable/#download-lin-raspbian)

## Install
- Run `./Install_dependencies.sh` under ArduCam TOF
- Run `./compile.sh` under ArduCam TOF
- Enable TOF driver `dtoverlay=arducam-pivariety,media-controller=0` under `/boot/config.txt`

## Run
- Execute `mono MariCam.exe`